Get Password Policy

Get Password Policy
Get password policy

Get password policy

Request
URI
GET
https://{api_host}/suite-api/api/fleet-management/password-policies/{id}
COPY
Path Parameters
string
id
Required  

Policy ID


Authentication
This operation uses the following authentication methods.
Responses
200

Policy details

Returns FleetPasswordPolicy of type(s) application/json
"{\n  \"id\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n  \"name\" : \"Fleet Example Policy\",\n  \"description\" : \"Example fleet password policy for API documentation\",\n  \"complexityConstraints\" : {\n    \"minLength\" : 12,\n    \"minLowercase\" : 1,\n    \"minUppercase\" : 1,\n    \"minNumeric\" : 1,\n    \"minSpecial\" : 1,\n    \"passwordHistory\" : 3\n  },\n  \"expirationConstraints\" : {\n    \"maxDays\" : 90,\n    \"warnDays\" : 7\n  },\n  \"lockoutConstraints\" : {\n    \"lockoutMaxAuthFailures\" : 3,\n    \"lockoutEvaluationPeriod\" : 900,\n    \"lockoutPeriod\" : 900\n  },\n  \"createdAt\" : 1741630060000,\n  \"updatedAt\" : 1741716460000\n}"
object
complexityConstraints
Required  

Policy complexity constraints

integer As int64 As int64
createdAt
Optional

Epoch milliseconds when the policy was created. Omit on create and update (server-managed).

string
description
Optional
Constraints: minLength: 0 maxLength: 255

Policy description

object
expirationConstraints
Required  

Policy expiration constraints

boolean
fleet
Read-Only  

Indicates whether this policy is the active fleet-wide policy; set to true when applied to the FLEET scope. Omit on create and update (server-managed).

string As uuid As uuid
id
Optional

Policy ID. Omit on create; required on update.

object
lockoutConstraints
Required  

Policy lockout constraints

string
name
Required  
Constraints: minLength: 0 maxLength: 255

Policy name. Required on create and update.

integer As int64 As int64
updatedAt
Optional

Epoch milliseconds when the policy was last updated. Omit on create and update (server-managed).


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/fleet-management/password-policies/{id}